PrompticPromptic

Update an observation

PATCH
/experiments/{experimentId}/observations/{observationId}

Authorization

BearerApiKey
AuthorizationBearer <token>

API key from workspace settings

In: header

Path Parameters

experimentId*string
Formatuuid
observationId*integer

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://loading/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/observations/0" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006",
  "idx": 0,
  "expected": "string",
  "variables": {
    "property1": null,
    "property2": null
  },
  "split": "string",
  "createdAt": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}